Page MenuHomePhabricator

Remove the ability to drag tasks up and down on (non-Workboard) priority list views
ClosedPublic

Authored by epriestley on Mar 7 2019, 7:41 PM.

Details

Summary

Ref T13074. Today, in normal task list views in Maniphest (not workboards), you can (sometimes) reorder tasks if the view is priority-sorted.

I suspect no one ever does this, few users know it's supported, and that it was basically rendered obsolete the day we shipped workboards.

This also means that we need to maintain a global "subpriority" for tasks, which distinguishes between different tasks at the same priority level (e.g., "High") and maintains a consistent ordering on workboards.

As we move toward making workboards more flexible (e.g., group by author / owner / custom fields), I'd like to try moving away from "subpriority" and possibly removing it entirely, in favor of "natural order", which basically means "we kind of remember where you put the card and it works a bit like a sticky note".

Currently, the "natural order" and "subpriority" systems are sort of similar but also sort of in conflict, and the "subpriority" system can't really be extended while the "natural order / column position" system can.

The only real reason to have a global "subpriority" is to support the list-view drag-and-drop.

It's possible I'm wrong about this and a bunch of users love this feature, but we can re-evaluate if we get feedback in this vein.

(This just removes UI, the actual subpriority system is still intact and still used on workboards.)

Test Plan

Viewed task lists, was no longer able to drag stuff. Grepped for affected symbols. Dragged stuff in remaining grippable lists, like "Edit Forms" in EditEngine config.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley created this revision.Mar 7 2019, 7:41 PM
epriestley requested review of this revision.Mar 7 2019, 7:43 PM
epriestley added inline comments.Mar 7 2019, 7:43 PM
src/view/phui/PHUIObjectItemView.php
428

I am only a tiny bit sad to lose this bit of silliness.

epriestley updated this revision to Diff 48378.Mar 10 2019, 3:47 PM
  • Clean up one more piece of code I dug out of the ground.
amckinley accepted this revision.Mar 12 2019, 6:37 PM
This revision is now accepted and ready to land.Mar 12 2019, 6:37 PM
This revision was automatically updated to reflect the committed changes.